Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 906243 - PRD35 - [RFE] provide separate netbios name VM property for Windows sysprep, and relax the VM name limitations
Summary: PRD35 - [RFE] provide separate netbios name VM property for Windows sysprep, ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.0.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Shahar Havivi
QA Contact: Nikolai Sednev
URL:
Whiteboard: virt
Depends On: 1082497
Blocks: 848403 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-01-31 09:53 UTC by Jaison Raju
Modified: 2018-12-06 14:57 UTC (History)
18 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Enhancement
Doc Text:
This features adds the ability to configure the host name of a virtual machine using sysprep.
Clone Of:
: 1082497 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:51:43 UTC
oVirt Team: Virt
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 24619 None None None Never
Red Hat Bugzilla 1309612 None None None Never

Internal Links: 1309612

Comment 2 Michal Skrivanek 2013-05-22 07:02:59 UTC
FYI there is an engine-config parameter MaxVmNameLengthWindows you can use to increase the limit. 

However making it a warning only is a valid request so leaving the bug open...

Comment 3 Jaison Raju 2013-06-04 11:00:37 UTC
Can we increase the limit on VM names for both windows & non-windows VMs to 256 ?

And for the netbios issue , can we introduce a new attribute to store
netbios names in case of windows VMs so that while using sysprep the vm
created from template would join using this netbios name.
This new attribute should have a limit of 15 characters while assigning .

Thanks,
Jaiosn R

Comment 4 Michal Skrivanek 2013-06-06 11:43:40 UTC
(In reply to Jaison Raju from comment #3)
> Can we increase the limit on VM names for both windows & non-windows VMs to
> 256 ?
use MaxVmNameLengthNonWindows

> And for the netbios issue , can we introduce a new attribute to store
> netbios names in case of windows VMs so that while using sysprep the vm
> created from template would join using this netbios name.
> This new attribute should have a limit of 15 characters while assigning .
yeah, that's a valid RFE PM should evaluate

Comment 5 Jaison Raju 2013-06-07 09:24:44 UTC
Can we continue this RFE in this bugzilla itself ?

Comment 6 Jaison Raju 2013-07-31 13:41:41 UTC
Hello ,

On RHEV 3.2 & 3.1 the VM name length limit does not increase for 
Windows & NonWindows vms.

For example : 

# engine-config -g MaxVmNameLengthWindows
MaxVmNameLengthWindows: 256 version: general
# engine-config -g MaxVmNameLengthWindows
MaxVmNameLengthWindows: 256 version: general
[root@dhcp210-53 ~]# engine-config -g MaxVmNameLengthNonWindow

Although I change the max length , the limit still remains as follows in GUI .
Windows: 15 characters
NonWindows: 64 characters


Can any one confirm this ? If so, then MaxVmNameLengthNonWindow & MaxVmNameLengthWindows still does not serve the purpose to increase the limit.

Thanks .

Regards,
Jaison R

Comment 8 Michal Skrivanek 2013-08-07 11:51:50 UTC
we should unite handling/storing of sysprep and cloud-init hostname setting, and separate from oVirt name

Comment 9 Shahar Havivi 2013-08-11 11:40:03 UTC
(In reply to Jaison Raju from comment #6)
Did you restart the engine after changing the entry MaxVmNameLengthWindows?

Comment 10 Itamar Heim 2013-08-11 14:52:29 UTC
shahar - it wouldn't have helped. tomas fixed this in:

userportal,webadmin: vm name max length validation hardcoded

http://gerrit.ovirt.org/#/c/17667/
There is a config value MaxVmNameLengthWindows and MaxVmNameLengthNonWindows
for VM name lengths, but the frontend ignored this config values and had
the lenghts hardcoded.

Change-Id: I08eae6dac69963f7c604cf80bba423f0987a199c
Signed-off-by: Tomas Jelinek <tjelinek@redhat.com>

michal - since this is fixing part of a customer reported issue for 3.3, maybe use this bug for the incorrect validation and open a new RFE for the netbios tracking?

Comment 11 Jaison Raju 2013-08-13 03:44:28 UTC
(In reply to Shahar Havivi from comment #9)
> (In reply to Jaison Raju from comment #6)
> Did you restart the engine after changing the entry MaxVmNameLengthWindows?

Yes , i restarted the engine service .

Comment 12 Michal Skrivanek 2013-08-13 13:03:20 UTC
(In reply to Itamar Heim from comment #10)
> michal - since this is fixing part of a customer reported issue for 3.3,
> maybe use this bug for the incorrect validation and open a new RFE for the
> netbios tracking?
This is what this RFE is indeed about and per request in comment #5 let's keep it here. Incorrect validation is bug 991787

Comment 13 Michal Skrivanek 2014-02-11 09:48:18 UTC
also get rid of the 16 chars limitation in the name field

Comment 15 Nikolai Sednev 2014-09-03 16:34:44 UTC
Worked for me on RHEL6.5 HE UPSTREAM components:
ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch

Hosts components of RHEL6.5:
qemu-kvm-rhev-0.12.1.2-2.415.el6_5.14.x86_64
libvirt-0.10.2-29.el6_5.11.x86_64
vdsm-4.16.2-1.gite8cba75.el6.x86_64
sanlock-2.8-1.el6.x86_64

RHEL7.0 host:
vdsm-4.16.2-1.gite8cba75.el7.x86_64
sanlock-3.1.0-2.el7.x86_64
qemu-kvm-rhev-1.5.3-60.el7_0.2.x86_64
[root@alma03 ~]#  rpm -qa libvirt*  sanlock qemu-kvm-rhev vdsm
libvirt-daemon-1.1.1-29.el7.x86_64
libvirt-daemon-driver-secret-1.1.1-29.el7.x86_64
libvirt-lock-sanlock-1.1.1-29.el7.x86_64
vdsm-4.16.2-1.gite8cba75.el7.x86_64
libvirt-daemon-driver-nodedev-1.1.1-29.el7.x86_64
libvirt-daemon-kvm-1.1.1-29.el7.x86_64
libvirt-python-1.1.1-29.el7.x86_64
libvirt-daemon-driver-qemu-1.1.1-29.el7.x86_64
libvirt-daemon-driver-storage-1.1.1-29.el7.x86_64
sanlock-3.1.0-2.el7.x86_64
libvirt-client-1.1.1-29.el7.x86_64
libvirt-daemon-driver-interface-1.1.1-29.el7.x86_64
libvirt-daemon-config-nwfilter-1.1.1-29.el7.x86_64
qemu-kvm-rhev-1.5.3-60.el7_0.2.x86_64
libvirt-daemon-driver-nwfilter-1.1.1-29.el7.x86_64
libvirt-daemon-driver-network-1.1.1-29.el7.x86_64
[root@alma03 ~]# rpm -qa libvirt

Comment 16 Yaniv Lavi 2015-01-19 15:30:21 UTC
Original request was:
1. What is the nature and description of the request?
RHEV Windows VM /template names are limited to 15 characters so as to enable VM to join domain with VM as netbios name .
Customer wants this limit to increase to 256 characters .
This may also require a proper warning about failure in Sysprep when using more than 15 characters


2. Why does the customer need this? (List the business requirements here)
VMs in customers environment are usually very big as names have customer specific UUIDs .
Hence limit for a VM name is too short for customer requirement for VM names .

3. How would the customer like to achieve this? (List the functional
requirements here)
Name / Re-name VM with names larger than 15 charecters

Comment 18 errata-xmlrpc 2015-02-11 17:51:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.